//
//  SBRWebProcessProxy.h
//  SBrowser
//
//  Created by James Magahern on 7/22/20.
//

#import <Foundation/Foundation.h>

static inline NSString* SBRGetAllowedOriginsKey() {
    return @"allowedOrigins";
}

static inline NSString* SBRGetAllScriptsAllowedKey() {
    return @"allScriptsAllowed";
}

static inline NSString* SBRGetPolicyTypeByOriginKey() {
    return @"policyTypeByOrigin";
}

@protocol SBRWebProcessProxy <NSObject>

- (void)hello;
- (void)setAllScriptsAllowed:(BOOL)allowed;
- (void)syncAllowedResourceOrigins:(NSArray<NSString *> *)allowedOrigins;
- (void)syncPolicyTypes:(NSDictionary<NSString *, NSNumber *> *)policyTypes;

@end
